View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwriteapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
payment_idstring<currency_code>Optionalpayment_datestring<date_no_time>Optionalpayment_date_timestring<date_time>OptionalNote: The regular expression provides guidance but does not reject all invalid dates.
methodenum<payment_method>Requirednotestring<currency_code>Optionalamountobject<money>Optionalcurrency_codestring<currency_code>Requiredvaluestring<percentage>Requiredshipping_infoobject<contact_name_address>Optionalorthographyenum<orthography>Optionalnameobject<person_name>Optionalorthographyenum<orthography>Optionaladdressobject<address_portable>Optionaladmin_area_4stringOptionaladmin_area_3stringOptionaladmin_area_1stringOptionalcountry_codestring<country_code>RequiredNote: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use the `C2` country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
address_detailsobject<Address Details>Optionalapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5/payments" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "Content-Type: application/json" \ -d '{ "method": "BANK_TRANSFER", "payment_date": "2018-05-01", "amount": { "currency_code": "USD", "value": "10.00" } }'{ "payment_id": "EXTR-86F38350LX4353815"}